<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:wf="http://water.eionet.europa.eu/schemas/dir200060ec" xmlns:fn="http://www.w3.org/TR/xpath-functions" version="1.0">
  <xsl:output omit-xml-declaration="yes" encoding="UTF-8"/>
  <!-- Created by Yvonne Walker WRc plc Jan 2007 for WFD 2007 Reporting 
	     
	     Amendments
	     
	     21/02/2007			Changed SITES to NO_SITES for SW and GW Programmes
	
	Amended 05/08/2009 Jon Maidens, Atkins
		namespace changed / DIST_CD changed to EURBDCode / ASSOC_DOC_REF changed to METADATA	     
	     
	     
	     -->
  <xsl:param name="code">we</xsl:param>
  <xsl:template match="/">
    <html>
      <head>
        <title>WFD Article 8 2007 Submission Report</title>
        <style type="text/css">
					
					h1						{font-size: 30pt; font-family: Arial, Helvetica, sans-serif; color:#003399; font-weight : bold;}
					h2						{font-size: 20pt;font-family: Arial, Helvetica, sans-serif;color : #003399;font-weight : bold;}
					h3						{font-size: 14pt;font-family: Arial, Helvetica, sans-serif;color : #003399;font-weight : bold;}
					h4						{font-size: 12pt;font-family: Arial, Helvetica, sans-serif;color : #003399;font-weight : bold;text-decoration : underline;}
					h5						{font-size: 10pt;font-family: Arial, Helvetica, sans-serif;color : #003399;font-weight : bold;text-decoration : underline;}
					h6						{font-size: 10pt;font-family: Arial, Helvetica, sans-serif;color : #003399;font-weight : bold;font-style:italic; text-decoration : underline;}
					
					table					{font-size: 10pt;font-family: Arial, Helvetica, sans-serif;color : #000000;}
					
					td.table_header_left		{font-size: 10pt;font-family: Arial, Helvetica, sans-serif; color : #000000;font-weight : bold; text-align : left;background-color : #DBDBDB;}
					td.table_data			{font-size: 10pt;font-family: Arial, Helvetica, sans-serif; color : #000000; text-align : left;}
					th						{font-size: 10pt;font-family: Arial, Helvetica, sans-serif; color : #000000;font-weight : bold; text-align : left;background-color : #DBDBDB;vertical-align : top}
					td						{font-size: 10pt;font-family: Arial, Helvetica, sans-serif; color : #000000; text-align : left;vertical-align : top;}
					
					DIV.Section 				{page-break-after : always;}
					
					.msg1					{font-family:Arial, Helvetica, sans-serif; font-size :8pt; font-weight :bold; color:#003399;}
					.msg					{font-family:Arial, Helvetica, sans-serif; font-size :10pt; font-style:italic; color:#000000;}
					
					.indent1					{margin-left: 10px}
					.indent2					{margin-left: 20px}
					.indent3					{margin-left: 30px}
					.indent4					{margin-left: 40px}
					
				</style>
      </head>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="wf:MONITORING">
    <table>
      <tbody>
        <tr>
          <td valign="top" align="left">
		<h1>
		WFD Article 8 Monitoring Programmes For
		<xsl:call-template name="Country">
				<xsl:with-param name="MS" select="wf:C_CD"/>
			</xsl:call-template>
		</h1>

            <div class="Section">
              <h1>RBD: <xsl:value-of select="wf:NAME"/> (<xsl:value-of select="wf:EURBDCode"/>)
					</h1>
              <table>
                <tbody>
                  <tr>
                    <th width="250">European code*</th>
                    <td>
                      <xsl:value-of select="wf:EURBDCode"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Name*</th>
                    <td>
                      <xsl:value-of select="wf:NAME"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Reporting level*</th>
                    <td>
                      <xsl:call-template name="ReportingLevel">
                        <xsl:with-param name="Param" select="wf:REPORTING_LEVEL"/>
                      </xsl:call-template>
                    </td>
                  </tr>
                  <tr>
                    <th>Reporting level description:</th>
                    <td>
                      <xsl:value-of select="wf:REPORTING_LEVEL_DESCRIPTION"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Metadata:</th>
                    <td>
                      <xsl:value-of select="wf:METADATA"/>
                    </td>
                  </tr>
                  <tr>
                    <th>URL to further information:</th>
                    <td>
                      <a>
                        <xsl:attribute name="href">
                          <xsl:value-of select="wf:URL"/>
                        </xsl:attribute>
                        <xsl:value-of select="wf:URL"/>
                      </a>
                    </td>
                  </tr>
                </tbody>
              </table>
              <h4>XML file details</h4>
              <table>
                <tbody>
                  <tr>
                    <th width="250">XML file creation date</th>
                    <td>
                      <xsl:value-of select="@CreationDate"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Created by</th>
                    <td>
                      <xsl:value-of select="@Creator"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Email</th>
                    <td>
                      <xsl:value-of select="@Email"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Description</th>
                    <td>
                      <xsl:value-of select="@Description"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Generated By</th>
                    <td>
                      <xsl:value-of select="@GeneratedBy"/>
                    </td>
                  </tr>
                  <tr>
                    <th>Classification Code</th>
                    <td>
                      <xsl:call-template name="ClassificationCode">
                        <xsl:with-param name="Param" select="@MD_ClassificationCode"/>
                      </xsl:call-template>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <!-- Do the table of contents -->
            <div class="Section">
              <h2><a name="contents"/>Contents</h2>
              <xsl:call-template name="TableOfContents"/>
            </div>
            <!-- Surface Water Monitoring Programmes -->
            <div class="Section">
              <h2><a name="1"/>1. Surface Water Monitoring Programmes						
					</h2>
              <span class="msg">This section provides a summary of the surface water monitoring programmes (surveillance and operational) set up for this RBD</span>
              <a href="#contents">Contents</a>
              <xsl:apply-templates select="wf:SWPROGRAMMES"/>
            </div>
            <!-- Surface Water Investigative Programmes -->
            <div class="Section">
              <h2><a name="2"/>2. Surface Water Investigative Programmes
					</h2>
              <p>
                <span class="msg">Investigative monitoring is 'reactive' in nature and as such, differs from the more 'routine' surveillance and operational programmes. This section provides a summary of the methodologies and strategies that have been put in place for the implementation of surface water investigative monitoring programmes</span>
                <a href="#contents">Contents</a>
              </p>
              <xsl:apply-templates select="wf:SWINVESTIGATIVEPROGRAMMES"/>
            </div>
            <!-- Groundwater Monitoring Programmes -->
            <div class="Section">
              <h2><a name="3"/>3. Groundwater Monitoring Programmes</h2>
              <p>
                <span class="msg">This section provides a summary of the groundwater monitoring programmes (chemical and quantitative)</span>
              </p>
              <xsl:apply-templates select="wf:GWPROGRAMMES"/>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </xsl:template>
  <!-- SW Programmes -->
  <xsl:template match="wf:SWPROGRAMMES">
    <!-- Quality Elements -->
    <h3><a name="1.1"/>1.1 Surface Water Quality Elements</h3>
    <p>
      <span class="msg">This section defines the methodologies and standards generally applied for the specified quality elements.</span>
    </p>
    <table>
      <tbody>
        <tr>
          <th>Quality Element Code*</th>
          <th>Surface Water Category*</th>
          <th>Sampling Methodology</th>
          <th>Analysis Methodology</th>
          <th>Standards Applied</th>
          <th>Levels of confidence</th>
          <th>Frequency Methodology</th>
        </tr>
        <xsl:for-each select="wf:QUALITY_ELEMENTS/wf:QUALITY_ELEMENT">
          <tr>
            <td>
              <xsl:value-of select="wf:QE_CD"/>
            </td>
            <td>
              <xsl:call-template name="WaterBodyCategory">
                <xsl:with-param name="Param" select="wf:CATEGORY"/>
              </xsl:call-template>
            </td>
            <td>
              <xsl:value-of select="wf:SAMPLING_METHOD"/>
            </td>
            <td>
              <xsl:value-of select="wf:ANALYSIS_METHOD"/>
            </td>
            <td>
              <xsl:value-of select="wf:STANDARDS"/>
            </td>
            <td>
              <xsl:value-of select="wf:CONFIDENCE"/>
            </td>
            <td>
              <xsl:value-of select="wf:FREQ_METHOD"/>
            </td>
          </tr>
        </xsl:for-each>
      </tbody>
    </table>
    <!-- Now go through each programme and list the data -->
    <h3><a name="1.2"/>1.2 Surface Water Monitoring Programmes</h3>
    <span class="msg">This section defines the programmes set up for monitoring of surface waterbodies.</span>
    <xsl:for-each select="wf:SWPROGRAMME">
      <h4><a><xsl:attribute name="name">#1.2.<xsl:value-of select="position()"/></xsl:attribute></a>1.2.<xsl:value-of select="position()"/> PROGRAMME: <xsl:value-of select="wf:PROGRAMME_CD"/> - <xsl:value-of select="wf:NAME"/></h4>
      <table>
        <tbody>
          <tr>
            <th width="250">Programme code*</th>
            <td>
              <xsl:value-of select="wf:PROGRAMME_CD"/>
            </td>
          </tr>
          <tr>
            <th>Programme name</th>
            <td>
              <xsl:value-of select="wf:NAME"/>
            </td>
          </tr>
          <tr>
            <th>Surveillence monitoring*</th>
            <td>
              <xsl:call-template name="YesNoUnknown">
                <xsl:with-param name="Param" select="wf:SURVEIL"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr>
            <th>Operational monitoring*</th>
            <td>
              <xsl:call-template name="YesNoUnknown">
                <xsl:with-param name="Param" select="wf:OPERAT"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr>
            <th>Is this programme International, national or RBD specific?</th>
            <td>
              <xsl:call-template name="ProgrammeLevel">
                <xsl:with-param name="Param" select="wf:PROGRAMME_LEVEL"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr>
            <th>If part of an international monitoring programme, please describe the international programme and how this programme relates to it.</th>
            <td>
              <xsl:value-of select="wf:RELATED_PROGRAMMES"/>
            </td>
          </tr>
          <tr>
            <th>Summary of the overall key design considerations for the programme</th>
            <td>
              <xsl:value-of select="wf:DESIGN_CONSIDERATIONS"/>
            </td>
          </tr>
          <tr>
            <th>Intended start date of the monitoring programme (if after 2006-12-22)</th>
            <td>
              <xsl:value-of select="wf:START_DATE"/>
            </td>
          </tr>
          <tr>
            <th>Reason(s) for delay if applicable</th>
            <td>
              <xsl:value-of select="wf:REASON_DELAYED"/>
            </td>
          </tr>
          <tr>
            <th>Hyperlink or reference to associated reference statement or file</th>
            <td>
              <xsl:value-of select="wf:METADATA"/>
            </td>
          </tr>
          <tr>
            <th>URL to further information:</th>
            <td>
              <a>
                <xsl:attribute name="href">
                  <xsl:value-of select="wf:URL"/>
                </xsl:attribute>
                <xsl:value-of select="wf:URL"/>
              </a>
            </td>
          </tr>
        </tbody>
      </table>
      <!-- now do the protected areas -->
      <h5>PROTECTED AREAS</h5>
      <xsl:apply-templates select="wf:PROT_AREAS"/>
      <!-- now each sub-programme -->
      <h5>SUB-PROGRAMMES</h5>
      <xsl:apply-templates select="wf:SUB_PROGRAMMES/wf:SUB_PROGRAMME"/>
    </xsl:for-each>
  </xsl:template>
  <xsl:template match="wf:PROT_AREAS">
    <p>
      <span class="msg">The number of protected areas of each type covered by the programme, and the number of sites. </span>
    </p>
    <table>
      <tbody>
        <tr>
          <th>Type</th>
          <th>No. of Areas</th>
          <th>No. of Sites</th>
        </tr>
        <tr>
          <td>Bathing Directive (76/160/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_BATHING"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_BATHING_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Birds Directive (79/409/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_BIRDS"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_BIRDS_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Drinking Water Directive (80/778/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_DRINKING"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_DRINKING_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Fish Waters Directive (78/659/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_FISH"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_FISH_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Shellfish Waters Directive (79/923/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_SHELLFISH"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_SHELLFISH_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Habitats Directive (92/43/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_HABITATS"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_HABITATS_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Nitrates Directive (91/676/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_NITRATES"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_NITRATES_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Urban Wastewater Directive (91/271/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_UWWT"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_UWWT_SITES"/>
          </td>
        </tr>
        <tr>
          <td>Drinking Water Abstraction (75/440/EEC)</td>
          <td>
            <xsl:value-of select="wf:NO_ABSTRACTION"/>
          </td>
          <td>
            <xsl:value-of select="wf:NO_ABSTRACTION_SITES"/>
          </td>
        </tr>
      </tbody>
    </table>
  </xsl:template>
  <xsl:template match="wf:SUB_PROGRAMME">
    <p>
      <span class="msg">A surface water monitoring programme is considered to comprise at least one sub-programme. A sub-programme is defined for a specific surface water category and more than one sub-programme may be defiend for each surface water category.</span>
    </p>
    <h5><a><xsl:attribute name="name">#SP<xsl:value-of select="position()"/></xsl:attribute></a><xsl:value-of select="position()"/> Sub-programme: <xsl:value-of select="wf:SUB_CD"/> - <xsl:value-of select="wf:NAME"/> (<xsl:call-template name="WaterBodyCategory"><xsl:with-param name="Param" select="wf:CATEGORY"/></xsl:call-template>)</h5>
    <table>
      <tbody>
        <tr>
          <th width="250">Sub-programme code*</th>
          <td>
            <xsl:value-of select="wf:SUB_CD"/>
            <br/>
            <span class="msg">Note: this is used to link monitoring stations to the programme</span>
          </td>
        </tr>
        <tr>
          <th>Sub-programme name</th>
          <td>
            <xsl:value-of select="wf:NAME"/>
          </td>
        </tr>
        <tr>
          <th>Surface water category*</th>
          <td>
            <xsl:call-template name="WaterBodyCategory">
              <xsl:with-param name="Param" select="wf:CATEGORY"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <th>Intended start date of the sub-programme (if after 2006-12-22)</th>
          <td>
            <xsl:value-of select="wf:START_DATE"/>
          </td>
        </tr>
        <tr>
          <th>Proposed end date of the sub-programme</th>
          <td>
            <xsl:value-of select="wf:END_DATE"/>
          </td>
        </tr>
        <tr>
          <th>Brief summary of the methodology or criteria used to select sites*</th>
          <td>
            <xsl:value-of select="wf:SITE_METHOD"/>
          </td>
        </tr>
        <tr>
          <th>How the concept of sub-sites has been applied and to what extent.*</th>
          <td>
            <xsl:value-of select="wf:SUBSITES_METHOD"/>
          </td>
        </tr>
        <tr>
          <th>Additional monitoring requirements for waters used in the abstraction of drinking water in relation to Article 7*</th>
          <td>
            <xsl:value-of select="wf:ADDITIONAL_REQS"/>
          </td>
        </tr>
        <tr>
          <th>Extent to which monitoring deviates from that outlined*</th>
          <td>
            <xsl:value-of select="wf:DEVIATIONS"/>
          </td>
        </tr>
        <tr>
          <th>Number of sites in the sub-programme*</th>
          <td>
            <xsl:value-of select="wf:NO_SITES"/>
          </td>
        </tr>
        <tr>
          <th>Percentage of sites affected by deviations in the sub-programme*</th>
          <td>
            <xsl:value-of select="wf:SITES_AFFECTED"/>
          </td>
        </tr>
        <tr>
          <th>Hyperlink or reference to associated reference statement or file</th>
          <td>
            <xsl:value-of select="wf:ASSOC_DOC_REF"/>
          </td>
        </tr>
      </tbody>
    </table>
    <h6>Quality Elements</h6>
    <p>
      <span class="msg">This section defines the quality elements monitored under the sub-programme. The methodologies and standards etc are only given where these differ from the general case outlined in Section 1.1 above. If the methodoloy and standards information for the QE has not been provided in section 1.1, then it should be provided here. Note: these QEs apply to <strong><xsl:call-template name="WaterBodyCategory"><xsl:with-param name="Param" select="wf:CATEGORY"/></xsl:call-template></strong> waterbodies.</span>
    </p>
    <p>
      <span class="msg">Note: the frequency defines the number of monitoring occasions made in one cycle (e.g. If  the frequency is 6 and the cycle is 3, this means that the quality element is measured 6 times in 3 years). If the cycle is given as 0, this means that the quality element is measured for the first year only, and the results will be used to determine if future monitoring is required and the required frequency/cycle. </span>
    </p>
    <table>
      <tbody>
        <tr>
          <th>Quality Element Code*</th>
          <th>No. Of Sites*</th>
          <th>Frequency*</th>
          <th>Cycle*</th>
          <th>Cycle description</th>
          <th>Sampling Methodology</th>
          <th>Analysis Methodology</th>
          <th>Standards Applied</th>
          <th>Levels of confidence</th>
          <th>Frequency Methodology</th>
        </tr>
        <xsl:for-each select="wf:QUALITY_ELEMENTS/wf:QUALITY_ELEMENT">
          <tr>
            <td>
              <xsl:value-of select="wf:QE_CD"/>
            </td>
            <td>
              <xsl:value-of select="wf:NO_SITES"/>
            </td>
            <td>
              <xsl:value-of select="wf:FREQUENCY"/>
            </td>
            <td>
              <xsl:value-of select="wf:CYCLE"/>
            </td>
            <td>
              <xsl:value-of select="wf:CYCLE_DESCRIPTION"/>
            </td>
            <td>
              <xsl:value-of select="wf:SAMPLING_METHOD"/>
            </td>
            <td>
              <xsl:value-of select="wf:ANALYSIS_METHOD"/>
            </td>
            <td>
              <xsl:value-of select="wf:STANDARDS"/>
            </td>
            <td>
              <xsl:value-of select="wf:CONFIDENCE"/>
            </td>
            <td>
              <xsl:value-of select="wf:FREQ_METHOD"/>
            </td>
          </tr>
        </xsl:for-each>
      </tbody>
    </table>
  </xsl:template>
  <xsl:template match="wf:SWINVESTIGATIVEPROGRAMMES">
    <table>
      <tbody>
        <tr>
          <th width="250">Strategy for setting up investigative monitoring*</th>
          <td>
            <xsl:value-of select="wf:STRATEGY"/>
          </td>
        </tr>
        <tr>
          <th>Intended start date for the strategy (if after 2006-12-22)</th>
          <td>
            <xsl:value-of select="wf:START_DATE"/>
          </td>
        </tr>
        <tr>
          <th>Reason(s) for delay if applicable</th>
          <td>
            <xsl:value-of select="wf:REASON_DELAYED"/>
          </td>
        </tr>
        <tr>
          <th>Hyperlink or reference to associated reference statement or file</th>
          <td>
            <xsl:value-of select="wf:ASSOC_DOC_REF"/>
          </td>
        </tr>
        <tr>
          <th>URL to further information:</th>
          <td>
            <a>
              <xsl:attribute name="href">
                <xsl:value-of select="wf:URL"/>
              </xsl:attribute>
              <xsl:value-of select="wf:URL"/>
            </a>
          </td>
        </tr>
      </tbody>
    </table>
    <!-- now the incidents if any -->
    <p>
      <span class="msg">Where investigative monitoring has already taken place, the following information in relation to the programme of investigative monitoring initiated can be used to illustrate how the strategy works in practice. The type of investigative monitoring programmes are: unknown excedence, failure of objectives, incident response or other</span>
    </p>
    <table>
      <tbody>
        <tr>
          <th>Type of incident*</th>
          <th>How strategy worked*</th>
          <th>No. of sites monitored*</th>
          <th>No. of monitoring occasions*</th>
          <th>Associated documents</th>
          <th>Quality elements measured</th>
        </tr>
        <xsl:for-each select="wf:INCIDENTS/wf:INCIDENT">
          <tr>
            <td>
              <xsl:call-template name="IncidentType">
                <xsl:with-param name="Param" select="wf:TYPE"/>
              </xsl:call-template>
            </td>
            <td>
              <xsl:value-of select="wf:STRATEGY"/>
            </td>
            <td>
              <xsl:value-of select="wf:NO_SITES"/>
            </td>
            <td>
              <xsl:value-of select="wf:OCCASIONS"/>
            </td>
            <td>
              <xsl:value-of select="wf:ASSOC_DOC_REF"/>
            </td>
            <td>
              <xsl:for-each select="wf:QUALITY_ELEMENTS/wf:QE_CD">
                <xsl:value-of select="."/>
                <br/>
              </xsl:for-each>
            </td>
          </tr>
        </xsl:for-each>
      </tbody>
    </table>
  </xsl:template>
  <xsl:template match="wf:GWPROGRAMMES">
    <!-- Quality Elements -->
    <h3><a name="3.1"/>3.1 Groundwater Parameters</h3>
    <p>
      <span class="msg">This section defines the methodologies and standards generally applied for the specified groundwater parameters.</span>
    </p>
    <table>
      <tbody>
        <tr>
          <th>Parameter Code*</th>
          <th>Measured As</th>
          <th>Sampling Methodology</th>
          <th>Analysis Methodology</th>
          <th>Standards Applied</th>
          <th>Levels of confidence</th>
          <th>Frequency Methodology</th>
        </tr>
        <xsl:for-each select="wf:PARAMETERS/wf:PARAMETER">
          <tr>
            <td>
              <xsl:value-of select="wf:PARAMETER_CD"/>
            </td>
            <td>
              <xsl:value-of select="wf:MEASURED_AS"/>
            </td>
            <td>
              <xsl:value-of select="wf:SAMPLING_METHOD"/>
            </td>
            <td>
              <xsl:value-of select="wf:ANALYSIS_METHOD"/>
            </td>
            <td>
              <xsl:value-of select="wf:STANDARDS"/>
            </td>
            <td>
              <xsl:value-of select="wf:CONFIDENCE"/>
            </td>
            <td>
              <xsl:value-of select="wf:FREQ_METHOD"/>
            </td>
          </tr>
        </xsl:for-each>
      </tbody>
    </table>
    <!-- Now go through each programme and list the data -->
    <h3><a name="3.2"/>3.2 Groundwater Monitoring Programmes</h3>
    <span class="msg">This section defines the programmes set up for monitoring of groundwater bodies.Note that the concept of sub-programmes does not apply as programmes relate only to groundwaters</span>
    <xsl:for-each select="wf:GWPROGRAMME">
      <h4><a><xsl:attribute name="name">#3.2.<xsl:value-of select="position()"/></xsl:attribute></a>3.2.<xsl:value-of select="position()"/> PROGRAMME: <xsl:value-of select="wf:PROGRAMME_CD"/> - <xsl:value-of select="wf:NAME"/></h4>
      <table>
        <tbody>
          <tr>
            <th width="250">Programme code*</th>
            <td>
              <xsl:value-of select="wf:PROGRAMME_CD"/>
            </td>
          </tr>
          <tr>
            <th>Programme name</th>
            <td>
              <xsl:value-of select="wf:NAME"/>
            </td>
          </tr>
          <tr>
            <th>Quantitative monitoring*</th>
            <td>
              <xsl:call-template name="YesNoUnknown">
                <xsl:with-param name="Param" select="wf:QUANTITATIVE"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr>
            <th>Chemical surveillence monitoring*</th>
            <td>
              <xsl:call-template name="YesNoUnknown">
                <xsl:with-param name="Param" select="wf:CHEM_SURVEIL"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr>
            <th>Chemical operational monitoring*</th>
            <td>
              <xsl:call-template name="YesNoUnknown">
                <xsl:with-param name="Param" select="wf:CHEM_OPERAT"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr>
            <th>Is this programme International, national or RBD specific?</th>
            <td>
              <xsl:call-template name="ProgrammeLevel">
                <xsl:with-param name="Param" select="wf:PROGRAMME_LEVEL"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr>
            <th>If part of an international monitoring programme, please describe the international programme and how this programme relates to it.</th>
            <td>
              <xsl:value-of select="wf:RELATED_PROGRAMMES"/>
            </td>
          </tr>
          <tr>
            <th>Summary of the overall key design considerations for the programme</th>
            <td>
              <xsl:value-of select="wf:DESIGN_CONSIDERATIONS"/>
            </td>
          </tr>
          <tr>
            <th>Intended start date of the monitoring programme (if after 2006-12-22)</th>
            <td>
              <xsl:value-of select="wf:START_DATE"/>
            </td>
          </tr>
          <tr>
            <th>Reason(s) for delay if applicable</th>
            <td>
              <xsl:value-of select="wf:REASON_DELAYED"/>
            </td>
          </tr>
          <tr>
            <th>Brief summary of the methodology or criteria used to select sites*</th>
            <td>
              <xsl:value-of select="wf:SITE_METHOD"/>
            </td>
          </tr>
          <tr>
            <th>How the concept of sub-sites has been applied and to what extent.*</th>
            <td>
              <xsl:value-of select="wf:SUBSITES_METHOD"/>
            </td>
          </tr>
          <tr>
            <th>Additional monitoring requirements for waters used in the abstraction of drinking water in relation to Article 7*</th>
            <td>
              <xsl:value-of select="wf:ADDITIONAL_REQS"/>
            </td>
          </tr>
          <tr>
            <th>Specific arrangements in place for the monitoring of transboundary groundwaters*</th>
            <td>
              <xsl:value-of select="wf:TRANSBOUNDARY"/>
            </td>
          </tr>
          <tr>
            <th>Extent to which monitoring deviates from that outlined*</th>
            <td>
              <xsl:value-of select="wf:DEVIATIONS"/>
            </td>
          </tr>
          <tr>
            <th>Number of sites in the programme*</th>
            <td>
              <xsl:value-of select="wf:NO_SITES"/>
            </td>
          </tr>
          <tr>
            <th>Number of protected drinking water abstraction areas foe which monitoring sites are associated*</th>
            <td>
              <xsl:value-of select="wf:NO_SITES_DW"/>
            </td>
          </tr>
          <tr>
            <th>Percentage of sites affected by deviations in the programme*</th>
            <td>
              <xsl:value-of select="wf:SITES_AFFECTED"/>
            </td>
          </tr>
          <tr>
            <th>Hyperlink or reference to associated reference statement or file</th>
            <td>
              <xsl:value-of select="wf:ASSOC_DOC_REF"/>
            </td>
          </tr>
          <tr>
            <th>URL to further information:</th>
            <td>
              <a>
                <xsl:attribute name="href">
                  <xsl:value-of select="wf:URL"/>
                </xsl:attribute>
                <xsl:value-of select="wf:URL"/>
              </a>
            </td>
          </tr>
        </tbody>
      </table>
      <h6>Parameters</h6>
      <p>
        <span class="msg">This section defines the parameters monitored under the programme. The methodologies and standards etc are only given where these differ from the general case outlined in Section 3.1 above. If the methodoloy and standards information for the parameter has not been provided in section 3.1, then it should be provided here. </span>
      </p>
      <p>
        <span class="msg">Note: the frequency defines the number of monitoring occasions made in one cycle (e.g. If  the frequency is 6 and the cycle is 3, this means that the parameter is measured 6 times in 3 years). If the cycle is given as 0, this means that the parameter is measured for the first year only, and the results will be used to determine if future monitoring is required and the required frequency/cycle. </span>
      </p>
      <table>
        <tbody>
          <tr>
            <th>Parameter Code*</th>
            <th>No. Of Sites*</th>
            <th>Frequency*</th>
            <th>Cycle*</th>
            <th>Cycle description</th>
            <th>Measured As</th>
            <th>Sampling Methodology</th>
            <th>Analysis Methodology</th>
            <th>Standards Applied</th>
            <th>Levels of confidence</th>
            <th>Frequency Methodology</th>
          </tr>
          <xsl:for-each select="wf:PARAMETERS/wf:PARAMETER">
            <tr>
              <td>
                <xsl:value-of select="wf:PARAMETER_CD"/>
              </td>
              <td>
                <xsl:value-of select="wf:NO_SITES"/>
              </td>
              <td>
                <xsl:value-of select="wf:FREQUENCY"/>
              </td>
              <td>
                <xsl:value-of select="wf:CYCLE"/>
              </td>
              <td>
                <xsl:value-of select="wf:CYCLE_DESCRIPTION"/>
              </td>
              <td>
                <xsl:value-of select="wf:MEASURED_AS"/>
              </td>
              <td>
                <xsl:value-of select="wf:METHOD"/>
              </td>
              <td>
                <xsl:value-of select="wf:ANALYSIS_METHOD"/>
              </td>
              <td>
                <xsl:value-of select="wf:STANDARDS"/>
              </td>
              <td>
                <xsl:value-of select="wf:CONFIDENCE"/>
              </td>
              <td>
                <xsl:value-of select="wf:FREQ_METHOD"/>
              </td>
            </tr>
          </xsl:for-each>
        </tbody>
      </table>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="TableOfContents">
    <span class="indent1">
      <a href="#1">1. Surface Water Monitoring Programmes</a>
    </span>
    <br/>
    <span class="indent2">
      <a href="#1.1">1.1 Surface Water Quality Elements</a>
    </span>
    <br/>
    <span class="indent2">
      <a href="#1.2">1.2 Surface Water Monitoring Programmes</a>
    </span>
    <br/>
    <!-- now loop through teh programmes and list the programmes, sub-programmes etc -->
    <xsl:for-each select="wf:SWPROGRAMMES/wf:SWPROGRAMME">
      <span class="indent3">
        <a><xsl:attribute name="href">#1.2.<xsl:value-of select="position()"/></xsl:attribute>1.2.<xsl:value-of select="position()"/> Programme:	<xsl:value-of select="wf:PROGRAMME_CD"/> - <xsl:value-of select="wf:NAME"/></a>
      </span>
      <br/>
      <xsl:for-each select="wf:SUB_PROGRAMMES/wf:SUB_PROGRAMME">
        <span class="indent4">
          <a><xsl:attribute name="href">#SP<xsl:value-of select="position()"/></xsl:attribute>1.2.<xsl:value-of select="position()"/> Sub-programme: <xsl:value-of select="wf:SUB_CD"/> - <xsl:value-of select="wf:NAME"/>  (<xsl:call-template name="WaterBodyCategory"><xsl:with-param name="Param" select="wf:CATEGORY"/></xsl:call-template>)</a>
        </span>
        <br/>
      </xsl:for-each>
    </xsl:for-each>
    <span class="indent1">
      <a href="#2">2. Surface Water Investigative Monitoring Programmes</a>
    </span>
    <br/>
    <span class="indent1">
      <a href="#3">3. Groundwater Monitoring Programmes</a>
    </span>
    <br/>
    <span class="indent2">
      <a href="#3.1">3.1 Groundwater Parameters</a>
    </span>
    <br/>
    <span class="indent2">
      <a href="#3.2">3.2 Groundwater Monitoring Programmes</a>
    </span>
    <br/>
    <xsl:for-each select="wf:GWPROGRAMMES/wf:GWPROGRAMME">
      <span class="indent3">
        <a><xsl:attribute name="href">#3.2.<xsl:value-of select="position()"/></xsl:attribute>3.2.<xsl:value-of select="position()"/> Programme:	<xsl:value-of select="wf:PROGRAMME_CD"/> - <xsl:value-of select="wf:NAME"/></a>
      </span>
      <br/>
    </xsl:for-each>
  </xsl:template>
  <!-- Country implementation -->
  <xsl:template name="Country">
    <xsl:param name="MS"/>
    <xsl:choose>
      <xsl:when test="$MS='AT'">Austria</xsl:when>
      <xsl:when test="$MS='BE'">Belgium</xsl:when>
      <xsl:when test="$MS='BG'">Bulgaria</xsl:when>
      <xsl:when test="$MS='CH'">Switzerland</xsl:when>
      <xsl:when test="$MS='CY'">Cyprus</xsl:when>
      <xsl:when test="$MS='CZ'">Czech Republic</xsl:when>
      <xsl:when test="$MS='DE'">Germany</xsl:when>
      <xsl:when test="$MS='DK'">Denmark</xsl:when>
      <xsl:when test="$MS='EE'">Estonia</xsl:when>
      <xsl:when test="$MS='ES'">Spain</xsl:when>
      <xsl:when test="$MS='FI'">Finland</xsl:when>
      <xsl:when test="$MS='FR'">France</xsl:when>
      <xsl:when test="$MS='GR'">Greece</xsl:when>
      <xsl:when test="$MS='HU'">Hungary</xsl:when>
      <xsl:when test="$MS='IE'">Ireland</xsl:when>
      <xsl:when test="$MS='IS'">Iceland</xsl:when>
      <xsl:when test="$MS='IT'">Italy</xsl:when>
      <xsl:when test="$MS='LT'">Lithuania</xsl:when>
      <xsl:when test="$MS='LU'">Luxembourg</xsl:when>
      <xsl:when test="$MS='LV'">Latvia</xsl:when>
      <xsl:when test="$MS='MT'">Malta</xsl:when>
      <xsl:when test="$MS='NL'">The Netherlands</xsl:when>
      <xsl:when test="$MS='NO'">Norway</xsl:when>
      <xsl:when test="$MS='PL'">Poland</xsl:when>
      <xsl:when test="$MS='PT'">Portugal</xsl:when>
      <xsl:when test="$MS='RO'">Romania</xsl:when>
      <xsl:when test="$MS='SE'">Sweden</xsl:when>
      <xsl:when test="$MS='SI'">Slovenia</xsl:when>
      <xsl:when test="$MS='SK'">Slovakia</xsl:when>
      <xsl:when test="$MS='TR'">Turkey</xsl:when>
      <xsl:when test="$MS='UK'">United Kingdom</xsl:when>
    </xsl:choose>
  </xsl:template>
  <!-- YesNoUnknown implementation -->
  <xsl:template name="YesNoUnknown">
    <xsl:param name="Param"/>
    <xsl:choose>
      <xsl:when test="$Param = 'Y'">Yes</xsl:when>
      <xsl:when test="$Param = 'N'">No</xsl:when>
      <xsl:when test="$Param = 'U'">Unknown</xsl:when>
      <xsl:when test="$Param = 'NA'">Not Applicable</xsl:when>
    </xsl:choose>
  </xsl:template>
  <!-- Classification code implementation -->
  <xsl:template name="ClassificationCode">
    <xsl:param name="Param"/>
    <xsl:choose>
      <xsl:when test="$Param = '001'">Unclassified - available for general circulation</xsl:when>
      <xsl:when test="$Param = '003'">Confidential - available for EC reporting only
		</xsl:when>
    </xsl:choose>
  </xsl:template>
  <!-- WaterBodyCategory implementation -->
  <xsl:template name="WaterBodyCategory">
    <xsl:param name="Param"/>
    <xsl:choose>
      <xsl:when test="$Param = 'RW'">River</xsl:when>
      <xsl:when test="$Param = 'LW'">Lake</xsl:when>
      <xsl:when test="$Param = 'TW'">Transitional</xsl:when>
      <xsl:when test="$Param = 'CW'">Coastal</xsl:when>
    </xsl:choose>
  </xsl:template>
  <!-- Reporting Level implementation -->
  <xsl:template name="ReportingLevel">
    <xsl:param name="Param"/>
    <xsl:choose>
      <xsl:when test="$Param = 'I'">International RBD</xsl:when>
      <xsl:when test="$Param = 'N'">National part of an international RBD</xsl:when>
      <xsl:when test="$Param = 'R'">National RBD</xsl:when>
      <xsl:when test="$Param = 'S'">Regional part or sub-unit of RBD</xsl:when>
    </xsl:choose>
  </xsl:template>
  <!-- Programme Level implementation -->
  <xsl:template name="ProgrammeLevel">
    <xsl:param name="Param"/>
    <xsl:choose>
      <xsl:when test="$Param = 'I'">International</xsl:when>
      <xsl:when test="$Param = 'N'">National</xsl:when>
      <xsl:when test="$Param = 'R'">RBD</xsl:when>
    </xsl:choose>
  </xsl:template>
  <!-- Incident type implementation -->
  <xsl:template name="IncidentType">
    <xsl:param name="Param"/>
    <xsl:choose>
      <xsl:when test="$Param = 'E'">Unknown exceedence</xsl:when>
      <xsl:when test="$Param = 'F'">Failure of objectives</xsl:when>
      <xsl:when test="$Param = 'R'">Incident response</xsl:when>
      <xsl:when test="$Param = 'O'">Other</xsl:when>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
